App\Library\Amazon\Classes\Pearl:
    xml_root_name: Pearl
    properties:
        pearlType:
            expose: true
            access_type: public_method
            serialized_name: PearlType
            accessor:
                getter: getPearlType
                setter: setPearlType
            type: string
        pearlMinimumColor:
            expose: true
            access_type: public_method
            serialized_name: PearlMinimumColor
            accessor:
                getter: getPearlMinimumColor
                setter: setPearlMinimumColor
            type: string
        pearlLustre:
            expose: true
            access_type: public_method
            serialized_name: PearlLustre
            accessor:
                getter: getPearlLustre
                setter: setPearlLustre
            type: string
        pearlShape:
            expose: true
            access_type: public_method
            serialized_name: PearlShape
            accessor:
                getter: getPearlShape
                setter: setPearlShape
            type: string
        pearlUniformity:
            expose: true
            access_type: public_method
            serialized_name: PearlUniformity
            accessor:
                getter: getPearlUniformity
                setter: setPearlUniformity
            type: string
        pearlSurfaceMarkingsAndBlemishes:
            expose: true
            access_type: public_method
            serialized_name: PearlSurfaceMarkingsAndBlemishes
            accessor:
                getter: getPearlSurfaceMarkingsAndBlemishes
                setter: setPearlSurfaceMarkingsAndBlemishes
            type: string
        nacreThickness:
            expose: true
            access_type: public_method
            serialized_name: NacreThickness
            accessor:
                getter: getNacreThickness
                setter: setNacreThickness
            type: string
        pearlStringingMethod:
            expose: true
            access_type: public_method
            serialized_name: PearlStringingMethod
            accessor:
                getter: getPearlStringingMethod
                setter: setPearlStringingMethod
            type: string
        sizePerPearl:
            expose: true
            access_type: public_method
            serialized_name: SizePerPearl
            accessor:
                getter: getSizePerPearl
                setter: setSizePerPearl
            type: string
